#
# spec file for package perl-IO-Socket-SSL (Version 0.97)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-HTML-Parser perl-HTML-Tagset perl-Net_SSLeay perl-URI perl-libwww-perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-IO-Socket-SSL
BuildRequires:  perl-Net_SSLeay perl-libwww-perl
Version:        0.97
Release:        14.2
Provides:       p_iossl
Obsoletes:      p_iossl
Requires:       perl-Net_SSLeay perl-libwww-perl
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/IO
Summary:        IO::Socket::SSL Perl Module
Source:         IO-Socket-SSL-%{version}.tar.bz2
Patch:          IO-Socket-SSL-%{version}-store_set_flags.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IO::Socket::SSL is a class implementing an object oriented interface to
SSL sockets. The class is a descendant of IO::Socket::INET and provides
a subset of the base class' interface methods.



Authors:
--------
    <aspa@kronodoc.fi>

%debug_package
%prep
%setup -n IO-Socket-SSL-%{version}
%patch

%build
perl Makefile.PL
make
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes BUGS README example util
%doc %{_mandir}/man?/*
%{perl_vendorlib}/IO
%{perl_vendorarch}/auto/IO
/var/adm/perl-modules/%{name}

%changelog -n perl-IO-Socket-SSL
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 01 2005 - mjancar@suse.cz
- update to 0.97
* Wed Sep 29 2004 - mls@suse.de
- use X509_STORE_set_flags instead of X509_STORE_CTX_set_flags
* Thu Aug 19 2004 - mjancar@suse.cz
- update to 0.96
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 0.95
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 - mjancar@suse.cz
- update 0.94
* Thu Jul 17 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- run make test
- fix filelist
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Fri Dec 20 2002 - prehak@suse.cz
- updated to 0.92
- added example directory
* Wed Dec 18 2002 - prehak@suse.cz
- updated to version 0.901
* Thu Jul 11 2002 - prehak@suse.cz
- updated to version 0.81
- added demo, util and more to documetation
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Mon Jan 14 2002 - rvasice@suse.cz
- update to version 0.80
* Fri Aug 24 2001 - rvasice@suse.cz
- removed make test - need network
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 0.79
- add make test
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 0.77
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_iossl -> perl-IO-Socket-SSL
* Wed Aug 23 2000 - cihlar@suse.cz
- package created
